<?php

namespace Teknisa\MAN\Services;

use Teknisa\MAN\Utilities\Query;

class CampanhaCompreGanheFilialService {
	
	protected $entityManager;

	public function __construct(\Doctrine\ORM\EntityManager $entityManager)  {
		$this->entityManager = $entityManager;
	}

	public function saveCampanhaFilial($CDCAMPCOMPGANHE, $CDFILIAL, $NRORG){
		$params = array(
			':CDCAMPCOMPGANHE'  => $CDCAMPCOMPGANHE,
			':CDFILIAL'         => $CDFILIAL,
			':IDATIVO'          => 'S',
			':NRORG'            => $NRORG 
		);
		
		return $this->entityManager->getConnection()->executeQuery(self::INSERT_CAMPANHA_FILIAL, $params);
	}
	
	const INSERT_CAMPANHA_FILIAL = "
        INSERT INTO FICAMPCOMPGANHE (CDCAMPCOMPGANHE, CDFILIAL, IDATIVO, NRORG) 
             VALUES (:CDCAMPCOMPGANHE, :CDFILIAL, :IDATIVO, :NRORG)
    ";
}